Bug 252985 - sysutils/libg15: update to 1.2.8
Summary: sysutils/libg15: update to 1.2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-25 02:07 UTC by Daniel Menelkir
Modified: 2021-01-31 21:18 UTC (History)
2 users (show)

See Also:


Attachments
libg15-v1 (1.32 KB, patch)
2021-01-25 02:07 UTC, Daniel Menelkir
no flags Details | Diff
libg15-v2 (1.32 KB, patch)
2021-01-25 14:20 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2021-01-25 02:07:56 UTC
Created attachment 221889 [details]
libg15-v1

I've adopted the software, fixed some stuff and changed the source url.
Comment 1 Automation User 2021-01-25 02:25:52 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/246191919
Comment 2 Daniel Menelkir 2021-01-25 14:20:52 UTC
Created attachment 221903 [details]
libg15-v2

Corrected some problems with libg15 code.
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-26 09:16:31 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A: GL_PROJECT defaults to PORTNAME

Since you are the maintainer upstream, would it be possible to have official distribution files instead of checking out a specific commit?

Thanks!
Comment 4 Yuri Victorovich freebsd_committer 2021-01-31 21:17:25 UTC
Committed with some cosmetic changes, thanks!
Comment 5 commit-hook freebsd_committer 2021-01-31 21:18:01 UTC
A commit references this bug:

Author: yuri
Date: Sun Jan 31 21:17:28 UTC 2021
New revision: 563531
URL: https://svnweb.freebsd.org/changeset/ports/563531

Log:
  sysutils/libg15: Update 1.2.7 -> 1.2.8

  PR:		252985
  Submitted by:	menelkir@itroll.org (maintainer)

Changes:
  head/sysutils/libg15/Makefile
  head/sysutils/libg15/distinfo